Skip to main content
GET
/
v1
/
ramp
/
conversion
/
{order_id}
Retrieve Conversion
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/ramp/conversion/{order_id} \
  --header 'x-auth-token: <api-key>'
{
  "code": 200,
  "message": "Success",
  "data": {
    "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "short_order_id": "<string>",
    "status": "Submit Failed",
    "sell_currency": "<string>",
    "sell_amount": "<string>",
    "buy_currency": "<string>",
    "buy_amount": "<string>",
    "quote_price": "<string>",
    "processing_fee": "<string>",
    "network_fee": "<string>",
    "create_time": "<string>",
    "settle_time": "<string>",
    "reason": "<string>"
  }
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Path Parameters

order_id
string<uuid>
required

Transaction ID (long)

Response

Successfully retrieved conversion

code
integer
required
Example:

200

message
string
required
Example:

"Success"

data
object
required

Response data for Retrieve Conversion (4.3.4)